/* formmisc.h -- definitions for the "formmisc" module

	Copyright 2005, 2006, 2007
		by Mark E. Mallett, MV Communications, Inc.

	See the "LICENSE" file for terms.

Definitions for stuff in the formmisc module

*/


#ifndef	H_FORMMISC		/* For multiple inclusions */
#define	H_FORMMISC



/* Declarations for functions contained in this module: */

    /* Begin document output (to stdout) */
void	begin_doc_out PROTO( (void) );

    /* Send a document to a file */
int	formfilecat PROTO( (FILE *ofP, char *fnameP) );

    /* Initialize some stuff */
BOOL	formmisc_init PROTO( (void) );

    /* Get a line of text from a form file, with variable substitution */
int	getformline PROTO( (FILE *fP, BSTR *bsP) );

    /* Report an error as HTML */
void	report_error PROTO( (char *fmtP, ...) );

#endif	/* H_FORMMISC */
